import java.sql.*;

public class AdatbazisKezelo {
	
	private Connection conn = null;
	private PreparedStatement stmt = null;
	
	public AdatbazisKezelo() {
		this.conn = null;
		this.stmt = null;
	}
	
	public AdatbazisKezelo(String url, String felhasznalonev, String jelszo) {
		
		try {
			// JDBC driver regisztralasa MySQL-hez.
			Class.forName("com.mysql.jdbc.Driver");
			
			this.conn = DriverManager.getConnection("jdbc:mysql://"+url, felhasznalonev, jelszo);
			
		} catch (Exception ex) {
			ex.printStackTrace();
		}
		
	}
	
	
	public boolean ujKonyvetFelvisz(String konyvszam, String cim, String szerzo, String kiado, int ev) {
	
	
		try {
			stmt = conn.prepareStatement("INSERT INTO KONYVEK (konyvszam, cim, szerzo, kiado, ev) VALUES (?, ?, ?, ?, ?)");
			
			stmt.setString(1, konyvszam);
			stmt.setString(2, cim);
			stmt.setString(3, szerzo);
			stmt.setString(4, kiado);
			stmt.setInt(5, ev);
			
			stmt.execute();
			
		} catch (Exception ex) {
			System.out.println("Nem sikerült beszúrni a rekordot!");
			ex.printStackTrace();
		} 
	
		return true;
	}
	
	public void adatbazistBezar() {
		try {
			this.conn.close();
		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}
	
}
